码迷,mamicode.com
首页 > Web开发 > 详细

cad.net创建wipeout仅支持2008及以后版本

时间:2014-07-09 15:03:06      阅读:276      评论:0      收藏:0      [点我收藏+]

标签:des   art   cti   for   io   new   

using Autodesk.AutoCAD.Runtime;

using Autodesk.AutoCAD.ApplicationServices;

using Autodesk.AutoCAD.DatabaseServices;

using Autodesk.AutoCAD.Geometry;

 

namespace WipeoutApplication

{

 public class Commands

 {

   [CommandMethod("CW")]

   public void CreateWipeout()

   {

     Document doc =

       Application.DocumentManager.MdiActiveDocument;

     Database db = doc.Database;

 

     Transaction tr =

       db.TransactionManager.StartTransaction();

     using (tr)

     {

       BlockTable bt =

         (BlockTable)tr.GetObject(

           db.BlockTableId,

           OpenMode.ForRead,

           false

         );

       BlockTableRecord btr =

         (BlockTableRecord)tr.GetObject(

           bt[BlockTableRecord.ModelSpace],

           OpenMode.ForWrite,

           false

         );

 

       Point2dCollection pts =

         new Point2dCollection(5);

 

       pts.Add(new Point2d(0.0, 0.0));

       pts.Add(new Point2d(100.0, 0.0));

       pts.Add(new Point2d(100.0, 100.0));

       pts.Add(new Point2d(0.0, 100.0));

       pts.Add(new Point2d(0.0, 0.0));

 

       Wipeout wo = new Wipeout();

       wo.SetDatabaseDefaults(db);

       wo.SetFrom(pts, new Vector3d(0.0, 0.0, 0.1));

 

       btr.AppendEntity(wo);

       tr.AddNewlyCreatedDBObject(wo, true);

       tr.Commit();

     }

   }

 }

}

cad.net创建wipeout仅支持2008及以后版本,布布扣,bubuko.com

cad.net创建wipeout仅支持2008及以后版本

标签:des   art   cti   for   io   new   

原文地址:http://www.cnblogs.com/swtool/p/3832328.html

(0)
(0)
   
举报
评论 一句话评论(0
登录后才能评论!
© 2014 mamicode.com 版权所有  联系我们:gaon5@hotmail.com
迷上了代码!